Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.express.olapi.transaction
Class ExpressTransactionProvider

    java.lang.Object
      |
      +--oracle.express.olapi.transaction.ExpressTransactionProvider

public final class ExpressTransactionProvider
extends java.lang.Object
implements TransactionProvider

An implementation of the `TransactionProvider` interface for Oracle OLAP. An application must create an `ExpressTransactionProvider` to communicate with Oracle OLAP. For a detailed description of the operations of this class, see `oracle.olapi.transaction.TransactionProvider`.

Constructor Summary
`ExpressTransactionProvider()` Creates a new `ExpressTransactionProvider`.

Method Summary
`void` | `addTransactionListener( l)` Registers a `TransactionListener` with this `ExpressTransactionProvider`.
`Transaction` | `beginSubtransaction()` Begins a child `Transaction` of the current `Transaction`.
`void` | `commitCurrentTransaction()` Moves the state of a child `Transaction` into the parent `Transaction`.
`Transaction` | `getCurrentTransaction()` Gets the current `Transaction`.
`void` | `prepareCurrentTransaction()` Prepares the current `Transaction` for committing.
`void` | `removeTransactionListener( l)` Unregisters a `TransactionListener` from this `ExpressTransactionProvider`.
`void` | `rollbackCurrentTransaction()` Rolls back, or undoes, any OLAP API operations the application performed in the current `Transaction`.
`void` | `setCurrentTransaction(Transaction transaction)` Specifies a `Transaction` as the current `Transaction`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressTransactionProvider

    public ExpressTransactionProvider()

  Creates a new `ExpressTransactionProvider`.

Method Detail

### getCurrentTransaction

    public final Transaction getCurrentTransaction()

  Gets the current `Transaction`.
  Specified by:
    getCurrentTransaction in interface TransactionProvider
  Returns:
    The current `Transaction`.

### setCurrentTransaction

    public final void setCurrentTransaction(Transaction transaction)

  Specifies a `Transaction` as the current `Transaction`.
  Specified by:
    setCurrentTransaction in interface TransactionProvider
  Parameters:
    `transaction` - A `Transaction` object to specify as the current `Transaction`.

### prepareCurrentTransaction

    public final void prepareCurrentTransaction()
                                         throws NotCommittableException,
                                                TransactionInactiveException

  Prepares the current `Transaction` for committing. An application must call `prepareCurrentTransaction` before calling `commitCurrentTransaction`.
  Specified by:
    prepareCurrentTransaction in interface TransactionProvider

### commitCurrentTransaction

    public final void commitCurrentTransaction()
                                        throws NotPreparedException,
                                               TransactionInactiveException

  Moves the state of a child `Transaction` into the parent `Transaction`. Before calling `commitCurrentTransaction`, an application must call `prepareCurrentTransaction`.
  Specified by:
    commitCurrentTransaction in interface TransactionProvider

### rollbackCurrentTransaction

    public final void rollbackCurrentTransaction()
                                          throws NotPreparedException,
                                                 TransactionInactiveException

  Rolls back, or undoes, any OLAP API operations the application performed in the current `Transaction`. The `TransactionProvider` discards the operations the application performed in the child `Transaction` and makes the parent `Transaction` the current `Transaction`.
  Specified by:
    rollbackCurrentTransaction in interface TransactionProvider

### beginSubtransaction

    public final Transaction beginSubtransaction()
                                          throws TransactionInactiveException

  Begins a child `Transaction` of the current `Transaction`. The child `Transaction` becomes the current `Transaction`.
  Specified by:
    beginSubtransaction in interface TransactionProvider
  Returns:
    A `Transaction` object that represents the current `Transaction`.

### addTransactionListener

    public final void addTransactionListener( l)

  Registers a `TransactionListener` with this `ExpressTransactionProvider`.
  Specified by:
    addTransactionListener in interface TransactionProvider
  Parameters:
    `l` - The `TransactionListener` to add to this `ExpressTransactionProvider`.

### removeTransactionListener

    public final void removeTransactionListener( l)

  Unregisters a `TransactionListener` from this `ExpressTransactionProvider`.
  Specified by:
    removeTransactionListener in interface TransactionProvider
  Parameters:
    `l` - The `TransactionListener` to remove from the list of listeners for this `ExpressTransactionProvider`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.